package net.knarcraft.jarupdater.validation;

/**
 * An interface for a validator
 *
 * @param <K> <p>The type of object to validate</p>
 */
public interface Validator<K> {

    /**
     * Validates some object
     *
     * @param argument <p>The argument to validate</p>
     * @return <p>True if the argument is valid. False otherwise</p>
     */
    boolean validate(K argument);

}
